# Method: accounts.projects.get

- [HTTP request](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#body.request_body)
- [Response body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#body.response_body)
- [Authorization scopes](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#body.aspect)
- [ProjectView](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#ProjectView)

Gets a project.

### HTTP request

`GET https://mmmdata.googleapis.com/v0/{name=accounts/*/projects/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the project to retrieve. Format: `accounts/{account}/projects/{project}` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects/get#ProjectView`)`` Optional. The view of the project to show in the response. To include all fields, use PROJECT_VIEW_FULL. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects#Project`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/mmm_data`
- `https://www.googleapis.com/auth/mmm_data.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ProjectView

The view type of project to be included in the response.

| Enums ||
|---|---|
| `PROJECT_VIEW_UNSPECIFIED` | Unspecified. |
| `PROJECT_VIEW_BASIC` | The default view, including basic project details. Lengthy fields are omitted. |
| `PROJECT_VIEW_FULL` | The view for projects with lengthy fields included. |